import { IStoreValue } from "./istore_value";
import { Type } from "../../typeSystem/type";

export class StoreValue implements IStoreValue {
  
  public type: Type;
  public id: String;
  public isConst: boolean;
  public value: any;

  constructor(type: Type, value: any, id:String, isConst = false) {
    this.type = type;
    this.id = id;
    this.isConst = isConst
    this.value = value;
  }

  get (): any {
    return this.value;
  }

}